Mac OS

Resolved Question

How do you update Mac OS X version 10.4.11?

by 1carewjo / January 10, 2013 9:50 PM PST

Hi I'm using quite an old Mac and I know I'll need to buyer a newer one soon but I'm just out of university and so don't have the funds at the moment. Every time I try and use a program it tells me that I need to upgrade to newer software but I've gone on the mac store and tried this and it says I need newer software to upgrade my current software! All very confusing, can anyone please help?

My computer details are:
Mac OS X version 10.4.11
Processor 1.83 GHz Intel Core Duo
Memory: 1 GB 667 MHz DDR2 SDRAM
Startup Disk: Macintosh HD

Thank you so much,

Duncan

1carewjo has chosen the best answer to their question. View answer »
Answer This Ask For Clarification
Discussion is locked
You are posting a reply to: How do you update Mac OS X version 10.4.11?
The posting of advertisements, profanity, or personal attacks is prohibited. Please refer to our CNET Forums policies for details. All submitted content is subject to our Terms of Use.
Track this discussion and email me when there are updates

If you're asking for technical help, please be sure to include all your system info, including operating system, model number, and any other specifics related to the problem. Also please exercise your best judgment when posting in the forums--revealing personal information such as your e-mail address, telephone number, and address is not recommended.

You are reporting the following post: How do you update Mac OS X version 10.4.11?
This post has been flagged and will be reviewed by our staff. Thank you for helping us maintain CNET's great community.
Sorry, there was a problem flagging this post. Please try again now or at a later time.
If you believe this post is offensive or violates the CNET Forums' Usage policies, you can report it below (this will not automatically remove the post). Once reported, our moderators will be notified and the post will be reviewed.

All Answers

Best Answer as chosen by 1carewjo

Collapse -
you could at least go on up to 10.5 and possibly
by mrmacfixit Forum moderator / January 11, 2013 6:44 AM PST

10.6

Your problem right now is that Apple no longer sells those versions so you will have to get them from places like eBay or Amazon.
Caution, both those items will not be cheap.

Upgrading your memory (RAM) would help in the running of 10.5 and 10.6 but will not help with your "need to upgrade software" problem

P

Collapse -
Snow Leopard is available from Apple
by joe4mu / January 11, 2013 8:51 PM PST

You can still upgrade to Snow Leopard from Apple for $19.99 free Shipping.

After you get Snow Leopard installed (10.6) you can update and download newer Operating Systems from the App Store.

Collapse -
I have done this
by onemoremile / January 11, 2013 11:56 PM PST

The link to purchase a new copy of Snow Leopard for $19.99 (in the United States) is http://store.apple.com/us/product/MC573Z/A/mac-os-x-106-snow-leopard . Apple had stopped selling this disk for a while and now they have made it available again. Installing Snow Leopard will install the App Store, which will allow you to update to Mountain Lion (OS X 10.8) for another $19.99. So, for under 40 bucks your Mac will have the current operating system.

Apple suggests that a computer have at least 2 GB of RAM to run Mountain Lion, so you will want to perform that upgrade, as well. Fortunately, RAM has become quite cheap. Try Other World Computing (http://www.macsales.com) or Crucial (http://www.crucial.com).

I just performed these upgrades on my mother's old iMac and it worked great. The total cost was less than $100.

Collapse -
Snow Leopard is the latest OS to which you can upgrade
by RentThisSpace / January 12, 2013 5:27 PM PST

OSX Lion and Mountain Lion require at least a Core 2 Duo processor. Neither will install if you only have a Core Duo processor. Still worth the upgrade to Snow Leopard.

Collapse -
Thank you
by 1carewjo / January 13, 2013 4:42 AM PST

Thank you very much for your advice. I will definitely buy the snow leopard upgrade. Is there anyway I can convert from a Core Duo processor to a Core 2 Duo processor? I've bought some ram from Crucial and so I'm not sure how much to use, I have two 2GB ram disk things. I'm not sure if this is of any use but it says on the back of the RAM 2GB 1Rx8 PC3 - 10600S - 9 - 10- B1.

Many thanks again.

Collapse -
RAM installation
by onemoremile / January 13, 2013 5:14 AM PST
In reply to: Thank you

I cannot figure out what kind of Mac you have, whether an iMac, MacBook, MacBook Pro or what. You can find installation instruction videos for a variety of Macs here: http://eshop.macsales.com/installvideos/ .

Collapse -
Unfortunately, no
by NOT-STRESSED / January 14, 2013 6:19 AM PST
In reply to: Thank you

If you have a laptop or iMac, you can't change the CPU, nor can a computer tech. The only model where the processor is upgradable (to a point) is the Mac Pro, which I highly doubt you have.

If you want faster speeds, your only options are to max out your RAM memory, or move up to a newer model.

Collapse -
Thank you very much for everyone's help!
by 1carewjo / January 23, 2013 7:15 PM PST
In reply to: Unfortunately, no

Thank you very much for everyone's help! I really appreciate it, I've learnt lots.

Many Thanks,

Duncan

Collapse -
Mountain Lion requires a Core 2 Duo processor
by ziptie / February 1, 2013 10:38 AM PST

with the 64 bit EFI firmware. The first C2Ds only had the 32 bit firmware, and can only upgrade to Lion.

Collapse -
Answer
update your 10.4.11
by Aley Miranda / January 13, 2013 2:43 AM PST

Apple stopped updating 10.4.11 The way I know this is that i had that version and it has the IBM chips. The next models up have Intel chips. You can't download Leopard or Snow Leopard on it because they are Intel chips. Sorry to say, but you will have to get a new computer. I have Lion 10.7.5 on mine. Lion is reputed to be so slow and I can attest to that. If the mother board hadn't gone out of my old one, I would have kept it to just use as a word processor to write my memoirs on. The techs were able to put that old hard-drive on my new machine. I wouldn't do that again because of the chip incapability. I had a lot stored on that hard-drive and a lot to delete from it.
I hope this has been helpful to you.

Collapse -
thank you
by 1carewjo / January 13, 2013 4:46 AM PST
In reply to: update your 10.4.11

Thank you for your response. That's a shame, but good to know before I go ahead an spend lots on it trying to upgrade it. Many thanks.

Duncan

Collapse -
Duncan, disregard the post from Aley Miranda
by mrmacfixit Forum moderator / January 13, 2013 8:00 AM PST
In reply to: thank you

it is 98% false

P

Collapse -
Where did you come up with all that incorrect information?
by mrmacfixit Forum moderator / January 13, 2013 7:59 AM PST
In reply to: update your 10.4.11

The OP has clearly stated that his computer has an Intel Core Duo processor and this has NOTHING to do with OS 10.4.11
That is just an Operating System (OS) and contains NO "chips" of the kind you are referring to.

There is NO "chip incompatibility" with your old hard drive, it will function perfectly well attached to almost any computer, including your new one. ALL the data on that drive would have been intact and usable, had you connected it to your new machine.

Some of the applications on it may not run because they were not written for the Intel processor which you have in your new machine. (I have hard drives attached to my iMac i7 that were attached to my G3 and G4 workstations)

The only correct statement I see in your post is the first one where you stated that Apple had stopped updating 10.4
The rest of it, especially the part where you tell the OP that the only option is to purchase a new computer!

P

Collapse -
I didn't mean to misinform Duncan
by Aley Miranda / January 13, 2013 8:50 AM PST

I guess I was not told the truth about the chip incompatibility in the old and new computers. I am glad that you have set me straight and I hope my info didn't cause too much trouble.

Collapse -
you may have misunderstood what you were told
by mrmacfixit Forum moderator / January 13, 2013 9:00 PM PST

about old and new Apple computers.

Back in the day, Apple used PPC processors built by Motorola and others.

Some years back, they abandoned the PPC processor and moved to Intel processors.

Mac OS X supported both types of processor up until recently when all support for the old PPC processor was removed.

So moving from a PPC processor to an Intel processor, with a version of OS X that does not support the PPC processor, will result in some applications not running.

In this thread, the OP has an Intel processor so that particular problem is not in play

P

Collapse -
Thank you very much!
by 1carewjo / January 23, 2013 7:15 PM PST

Thank you very much for everyone's help! I really appreciate it, I've learnt lots.

Many Thanks,

Duncan

Popular Forums
icon
Computer Help 47,885 discussions
icon
Computer Newbies 10,322 discussions
icon
iPhones, iPods, & iPads 3,188 discussions
icon
Security 30,333 discussions
icon
TVs & Home Theaters 20,177 discussions
icon
HDTV Picture Setting 1,932 discussions
icon
Phones 15,713 discussions
icon
Windows 7 6,210 discussions
icon
Networking & Wireless 14,510 discussions

Tech Tip

Know how to save a wet phone?

It's not with a dryer and it's not with rice. CNET shows you the secret to saving your phone.